<?php

use EventPortal\Domain\Event\Models\Event;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Event::class, static function ($faker) {
    return [
        'name' => $faker->word,
        'status' => 'unpublished',
    ];
});

$factory->state(Event::class, 'unpublished', static function ($faker) {
    return [
        'status' => 'unpublished',
    ];
});

$factory->state(Event::class, 'registration_open', static function ($faker) {
    return [
        'status' => 'registration_open',
    ];
});

$factory->state(Event::class, 'closed', static function ($faker) {
    return [
        'status' => 'closed',
    ];
});

$factory->state(Event::class, 'post_event', static function ($faker) {
    return [
        'status' => 'post_event',
    ];
});

$factory->state(Event::class, 'archived', static function ($faker) {
    return [
        'status' => 'archived',
    ];
});
